%define	distname	StepMania

Summary:	A rythm game
Name:		stepmania
Version:	3.9
%define		subrel 1
Release:	%mkrel 21
License:	MIT
Url:		http://www.stepmania.com/wiki/Downloads
Group:		Games/Arcade
Source0:	%{distname}-%{version}-src.tar.bz2
Patch0:         StepMania-3.9-x86_64-build.patch
Patch1:		StepMania-3.9-build_crypto.patch
Patch3:		StepMania-3.9-home.patch
Patch4:		StepMania-3.9-pkgdir.patch
Patch5:		StepMania-3.9-eventmask.patch
Patch6:		StepMania-3.9-extraqual.patch
Patch7:		StepMania-3.9-replace-this.patch
Patch8:		StepMania-3.9-src-gettid.patch
Patch9:		stepmania-3.9-ffmpeg-all-4.patch
Patch10:	stepmania-3.9-ffmpeg-headers.patch
Patch11:	stepmania-3.9-ffmpeg-pixfmt.patch
Patch12:	stepmania-3.9-select_style.patch
Patch13:	stepmania-3.9-gcc43.patch
Patch14:	stepmania-3.9-fix-str-fmt.patch
Patch15:	stepmania-3.9-libpng15.patch
Patch16:	stepmania-gcc46.patch
Patch17:	stepmania-gcc47.patch
BuildRequires:  ffmpeg-devel
BuildRequires:  oggvorbis-devel
BuildRequires:  jpeg-devel
BuildRequires:  SDL-devel
BuildRequires:  lua5.0-devel
BuildRequires:	gtk2-devel
BuildRequires:	MesaGLU-devel
BuildRequires:	mad-devel
Requires:	%{name}-data
Suggests:	%{name}-stepmix1

%description
StepMania is a music/rhythm game. The player presses different buttons in time 
to the music and to note patterns that scroll across the screen. Features 3D 
graphics, visualizations, support for gamepads/dance pads, a step recording 
mode, and more!
To add songs, simply copy the content of your folder containing songs 
to ~/StepMania/Songs as user, or to /usr/share/StepMania/Songs as root.

%prep
%setup -q -n %{distname}-%{version}-src
%patch0 -p1 -b .x86_64
%patch1 -p1 -b .crypto
%patch3 -p1 -b .home
%patch4 -p1 -b .pkgdir
%patch5 -p1 -b .eventmask
%patch6 -p1 -b .extraqual
%patch7 -p1 -b .replace
%patch8 -p1 -b .gettid
%patch9 -p1 -b .ffmpeg-4
%patch10 -p1 -b .ffmpeg-headers
%patch11 -p1 -b .ffmpeg-pixfmt
%patch12 -p1 -b .select-style
%patch13 -p1 -b .gcc
%patch14 -p1 -b .str
%patch15 -p0 -b .libpng
%patch16 -p1 -b .gcc
%patch17 -p1 -b .gcc

%build
export CFLAGS="%{optflags} -O1"
export CXXFLAGS="%{optflags} -O1 -fpermissive"
%configure2_5x \
  --disable-dependency-tracking \
  --bindir=%{_gamesbindir} \
  --datadir=%{_gamesdatadir} \
  --with-mp3

%make

%install
%makeinstall_std
install -d -m 0755 -p %{buildroot}%{_iconsdir}
install -m 0644 %{_topdir}/BUILD/%{distname}-%{version}-src/src/%{distname}.xpm %{buildroot}%{_iconsdir}/

install -d -m 0755 -p %{buildroot}%{_libdir}/%{distname}
mv %{buildroot}%{_gamesbindir}/GtkModule.so %{buildroot}%{_libdir}/%{distname}/
chmod 0644 %{buildroot}%{_libdir}/%{distname}/GtkModule.so

install -d -m 0755 -p %{buildroot}%{_datadir}/applications
cat << EOF > %buildroot%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_gamesbindir}/stepmania
Name=StepMania
Comment=A rythm game
Icon=%{distname}
Categories=Game;ArcadeGame;
EOF

%files
%doc README-FIRST.html NEWS
%{_gamesbindir}/%{name}
%{_libdir}/%{distname}/GtkModule.so
%{_iconsdir}/%{distname}.xpm
%{_datadir}/applications/%{_real_vendor}-*.desktop


%changelog
* Sun Mar 16 2014 doktor5000 <doktor5000> 3.9-21.1.mga4
+ Revision: 604180
- removed soundwrapper call from .desktop file to prevent segfault (mga#12795)
  o removed Requires on soundwrapper

* Sat Oct 19 2013 umeabot <umeabot> 3.9-21.mga4
+ Revision: 526469
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 fwang <fwang> 3.9-20.mga4
+ Revision: 436980
- rebuild for new libpng

* Tue Jan 15 2013 luigiwalser <luigiwalser> 3.9-19.mga3
+ Revision: 388405
- use fpermissive to make it build

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + fwang <fwang>
    - include string
    - add patches

* Tue Mar 06 2012 zezinho <zezinho> 3.9-18.mga2
+ Revision: 220645
- add soundwrapper to menu as it is required when pulseaudio is disabled

* Sun Sep 18 2011 fwang <fwang> 3.9-17.mga2
+ Revision: 145030
- fix build with libpng 1.5

  + stormi <stormi>
    - do not use soundwrapper anymore in menu entry (crashes the game)
    - spec file cleaning
    - increase release so that it's higher than in mageia 1
    - suggest stepmania-stepmix1

* Sat Jun 25 2011 zezinho <zezinho> 3.9-13.mga2
+ Revision: 113546
- imported package stepmania


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 3.9-13mdv2011.0
+ Revision: 614981
- the mass rebuild of 2010.1 packages

* Thu May 27 2010 Olivier Blin <oblin@mandriva.com> 3.9-12mdv2010.1
+ Revision: 546412
- fix selecting style and thus allow to play, patch from Arch Linux (to handle hardcoded switch values outside of default enum range)
- sync with ffmpeg patches from Arch Linux (to fix build with latest ffmpeg, PIX_FMT_RGBA and img_convert)

* Sun Apr 19 2009 trem <trem@mandriva.org> 3.9-11mdv2009.1
+ Revision: 368073
- fix patch stepmania-3.9-fix-str-fmt.patch (so now stepmania start)

* Sat Feb 07 2009 Funda Wang <fwang@mandriva.org> 3.9-10mdv2009.1
+ Revision: 338417
- disable ffmpeg support in cooker
- use O1 according to :
  http://www.stepmania.com/wiki/FAQ:_Linux_version#I_never_trust_binaries.3B_how_hard_is_it_to_compile_this_program_from_source.3F
- detect newer ffmpeg
- newer ffmpeg
- add gcc 43 patch and str fmt patch
- adopt to new ffmpeg (patch from gentoo)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Apr 10 2008 Olivier Blin <oblin@mandriva.com> 3.9-9mdv2009.0
+ Revision: 192566
- fix menu directory creation
- fix linkage of functions in avcodec namespace by including avcodec
  as extern C (patch from Pixel)
- fix int64_c declaration
- do not handle duplicate averror type (for latest ffmpeg)
- inline gettid syscall (no _syscallX macros anymore in glibc)
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - auto convert menu to XDG
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Sat Dec 02 2006 Olivier Blin <oblin@mandriva.com> 3.9-8mdv2007.0
+ Revision: 90010
- update crypto patch with selected fixes from cryptopp CVS to fix x86_64 build
- explicitely call replace method on 'this'
- fix "extra qualification 'class::' on member 'member'" errors
- do not use the same variable name as SDL internal SDL_EventMask
- add meny entry
- buildrequire lua-devel 5.0
- bunzip patches
- Import stepmania

* Wed May 17 2006 Olivier Blin <oblin@mandriva.com> 3.9-7mdk
- BuildRequires MesaGLU-devel (thanks iurt!)

* Mon May 15 2006 Olivier Blin <oblin@mandriva.com> 3.9-6mdk
- Patch2: fix build for changes introduced in ffmpeg 4629 and 4754
- Patch3: search files in home directory
  (~/StepMania/ for data, ~/.StepMania/ for settings)
- Patch4: search files and libraries in package directories
- install GtkModule in pkglibdir
- remove wrapper script since binary looks for data in pkgdatadir
- move soundwrapper for wrapper to menu entry
- lowercase package name
- mkrel
- apply patches unconditionnally
- remove hardcoded requires
- require stepmania-data
- BuildRequires gtk2-devel
- fix BuildRequires (remove lib prefix)
- install binary in _gamesbindir and data in _gamesdatadir
- use makeinstall_std
- fix rpm and menu groups
- enable mp3 by default (and allow to build without)

* Fri Apr 21 2006 Nicolas Chipaux <chipaux@mandriva.com> 3.9-5mdk
- fix

* Thu Apr 20 2006 Nicolas Chipaux <chipaux@mandriva.com> 3.9-4mdk
- x86_64 build

* Thu Apr 20 2006 Nicolas Chipaux <chipaux@mandriva.com> 3.9-3mdk
- no mkrel please

* Wed Apr 19 2006 Nicolas Chipaux <chipaux@mandriva.com> 3.9-2mdk
- fix licence
- change description 
- complete the mp3 build flag

* Thu Apr 13 2006 Nicolas Chipaux <chipaux@mandriva.com> 3.9-1mdk
- first for mandriva

